Get specified blocks

/v4/data/defi/blocks

10 credits per API call

Get information about blocks (when they were added, block hashes and list of transaction hashes that were processed within them) on the following blockchains:

  • Ethereum - ethereum-mainnet / ethereum-sepolia / ethereum-holesky
  • Base - base-mainnet / base-sepolia
  • Arbitrum - arb-one-mainnet / arb-testnet
  • BNB (Binance) Smart Chain - bsc-mainnet / bsc-testnet
  • Polygon - polygon-mainnet
  • Optimism - optimism-mainnet / optimism-testnet
  • Berachain - berachain-mainnet
  • Unichain - unichain-mainnet / unichain-sepolia
  • Monad - monad-mainnet / monad-testnet
  • Celo - celo-mainnet / celo-testnet
  • Chiliz - chiliz-mainnet

To get started, provide a chain and specify one of the filters listed below (combination of these filters is not allowed):

  • List of block numbers separated by comma
  • Range of block numbers
  • Date range when blocks were processed
  • When you are filtering data using blockFrom and not using blockTo, blockTo is automatically added as blockFrom + 1000. The same applies when blockTo is present and blockFrom is not. In that case blockFrom is automatically added as blockTo - 1000.
Query Params
string
enum
required

The blockchain to work with.

blockIds
array of integers
≥ 0

List of block numbers, separated by comma.

blockIds
number
≥ 0

Range of block numbers. Both blockFrom and blockTo need to be specified.

number
≥ 0

Range of block numbers. Both blockFrom and blockTo need to be specified.

string

Date range when blocks were processed. Both timeFrom and timeTo need to be specified.

string

Date range when blocks were processed. Both timeFrom and timeTo need to be specified.

number
1 to 50

The number of items per page (default is 50).

number

The offset to obtain next page of the data.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json